Bug 146979 - RHEL4: rcp gives incorrect error report when file system writes fai
Summary: RHEL4: rcp gives incorrect error report when file system writes fai
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rsh   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137160
TreeView+ depends on / blocked
 
Reported: 2005-02-03 10:27 UTC by Karel Zak
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-08 15:01:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:165 normal SHIPPED_LIVE Low: rsh security update 2005-06-08 04:00:00 UTC

Description Karel Zak 2005-02-03 10:27:20 UTC
*** This bug has been split off bug 67361 ***

------- Original comment by Need Real Name on 2002.06.23 11:32 -------

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
rcp in 7.x, derived from netkit-rsh-0.17, doesn't preserve errno when it 
encounters a filesystem write error (e.g. filesystem out of space).  When it 
ultimately prints out an error message (in the switch(wrerr) statement), errno 
is unpredictable.  The easiest way to reproduce the problem is to rcp a 
sizeable file onto a system's /boot filesystem.  Instead of "No space left on 
device", I've seen it say "Success" and "No such file or directory".

Fix is to add a wrerrno variable, and every time you have wrerr = YES, add a 
statement wrerrno = YES.  This fix is in more recent versions of the freebsd 
rcp source.

Comment 1 Jay Turner 2005-04-16 19:52:37 UTC
Fix confirmed with 0.17-25.3.  Moving to PROD_READY.

Comment 2 Tim Powers 2005-06-08 15:01:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-165.html



Note You need to log in before you can comment on or make changes to this bug.